Bug 195990 - freebsd-update not upgrading files properly
Summary: freebsd-update not upgrading files properly
Status: New
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: 10.1-RELEASE
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-15 10:12 UTC by Jeroen
Modified: 2019-03-12 22:59 UTC (History)
7 users (show)

See Also:


Attachments
IDS output of FreeBSD 10.1 amd64 (518.64 KB, application/x-xz)
2015-04-07 01:58 UTC, naruse
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeroen 2014-12-15 10:12:58 UTC
Since upgrading to 10.1-RELEASE 'file' is broken.
What is particularly strange is that there seems to be some mismatch going on somewhere, and I can't figure out where. 

As a temporary workaround I have now install file-5.19 from ports, backed up /usr/bin/file and symlinked the new version from /usr/local/bin/file.

jeroen:~/ $ which file
/usr/bin/file
jeroen:~/ $ file --version
file-5.11
magic file from /usr/share/misc/magic
jeroen:~/ $ file
/usr/share/misc/magic, 1026: Warning: Printf format `l' is not valid for type `belong' in description `%ld x'
/usr/share/misc/magic, 1027: Warning: Printf format `l' is not valid for type `belong' in description `%ld'
/usr/share/misc/magic, 1034: Warning: Printf format `l' is not valid for type `belong' in description `%ld x'
/usr/share/misc/magic, 1035: Warning: Printf format `l' is not valid for type `belong' in description `%ld'
/usr/share/misc/magic, 1099: Warning: Current entry does not yet have a description for adding a MIME type
/usr/share/misc/magic, 1101: Warning: Current entry does not yet have a description for adding a MIME type
/usr/share/misc/magic, 1103: Warning: Current entry does not yet have a description for adding a MIME type
/usr/share/misc/magic, 1105: Warning: Current entry does not yet have a description for adding a MIME type
/usr/share/misc/magic, 1107: Warning: Current entry does not yet have a description for adding a MIME type
/usr/share/misc/magic, 1109: Warning: Current entry does not yet have a description for adding a MIME type
/usr/share/misc/magic, 1111: Warning: Current entry does not yet have a description for adding a MIME type
/usr/share/misc/magic, 1114: Warning: Current entry does not yet have a description for adding a MIME type
/usr/share/misc/magic, 1408: Warning: Printf format `h' is not valid for type `byte' in description `, version %hhd'
/usr/share/misc/magic, 1411: Warning: Printf format `h' is not valid for type `beshort' in description `, system %hd'
/usr/share/misc/magic, 1413: Warning: Printf format `h' is not valid for type `byte' in description `, version %hhd'
/usr/share/misc/magic, 1416: Warning: Printf format `h' is not valid for type `leshort' in description `, system %hd'
/usr/share/misc/magic, 1512: Warning: Current entry does not yet have a description for adding a MIME type
/usr/share/misc/magic, 1725: Warning: Printf format `l' is not valid for type `long' in description `, original size: %ld bytes'
/usr/share/misc/magic, 2325: Warning: Printf format `l' is not valid for type `beshort' in description `- version %ld'
/usr/share/misc/magic, 2441: Warning: Printf format `l' is not valid for type `beshort' in description `- version %ld'
/usr/share/misc/magic, 2557: Warning: Printf format `l' is not valid for type `belong' in description `- version %ld'
/usr/share/misc/magic, 3115: Warning: Printf format `l' is not valid for type `belong' in description `- version %ld'
/usr/share/misc/magic, 3516: Warning: Current entry does not yet have a description for adding a MIME type
/usr/share/misc/magic, 3533: Warning: Printf format `l' is not valid for type `belong' in description `Mach-O fat file with %ld architectures'
/usr/share/misc/magic, 3536: Warning: New continuation level 2 is more than one larger than current level 0
/usr/share/misc/magic, 3603: Warning: Printf format `l' is not valid for type `lelong' in description `, %ld records'
/usr/share/misc/magic, 3697: Warning: Printf format `l' is not valid for type `short' in description `- version %ld'
/usr/share/misc/magic, 3709: Warning: Printf format `l' is not valid for type `short' in description `- version %ld'
/usr/share/misc/magic, 4436: Warning: Current entry does not yet have a description for adding a MIME type
/usr/share/misc/magic, 4865: Warning: New continuation level 2 is more than one larger than current level 0
/usr/share/misc/magic, 4983: Warning: Printf format `l' is not valid for type `belong' in description `Volume %ld,'
/usr/share/misc/magic, 5002: Warning: Printf format `l' is not valid for type `belong' in description `Volume %ld,'
/usr/share/misc/magic, 5021: Warning: Printf format `l' is not valid for type `lelong' in description `Volume %ld,'
/usr/share/misc/magic, 5040: Warning: Printf format `l' is not valid for type `lelong' in description `Volume %ld,'
/usr/share/misc/magic, 5059: Warning: Printf format `l' is not valid for type `leshort' in description `Volume %ld,'
/usr/share/misc/magic, 5071: Warning: Printf format `l' is not valid for type `belong' in description `Volume %ld,'
/usr/share/misc/magic, 5090: Warning: Printf format `l' is not valid for type `lelong' in description `Volume %ld,'
/usr/share/misc/magic, 5191: Warning: Printf format `l' is not valid for type `lelong' in description `Universal EFI binary with %ld architectures'
/usr/share/misc/magic, 5501: Warning: Printf format `l' is not valid for type `short' in description `- version %ld'
/usr/share/misc/magic, 5506: Warning: Printf format `l' is not valid for type `short' in description `- version %ld'
/usr/share/misc/magic, 5645: Warning: Printf format `l' is not valid for type `long' in description `start cyl %ld,'
/usr/share/misc/magic, 5646: Warning: Printf format `l' is not valid for type `long' in description `%ld blocks'
/usr/share/misc/magic, 6647: Warning: Printf format `l' is not valid for type `lelong' in description `pending inodes to free %ld,'
/usr/share/misc/magic, 6667: Warning: Printf format `l' is not valid for type `lelong' in description `pending inodes to free %ld,'
/usr/share/misc/magic, 6707: Warning: Printf format `l' is not valid for type `belong' in description `pending inodes to free %ld,'
/usr/share/misc/magic, 6727: Warning: Printf format `l' is not valid for type `belong' in description `pending inodes to free %ld,'
/usr/share/misc/magic, 6876: Warning: Printf format `l' is not valid for type `lelong' in description `size %lu'
/usr/share/misc/magic, 6881: Warning: Printf format `l' is not valid for type `lelong' in description `edition %lu,'
/usr/share/misc/magic, 6882: Warning: Printf format `l' is not valid for type `lelong' in description `%lu blocks,'
/usr/share/misc/magic, 6883: Warning: Printf format `l' is not valid for type `lelong' in description `%lu files'
/usr/share/misc/magic, 6886: Warning: Printf format `l' is not valid for type `belong' in description `size %lu'
/usr/share/misc/magic, 6891: Warning: Printf format `l' is not valid for type `belong' in description `edition %lu,'
/usr/share/misc/magic, 6892: Warning: Printf format `l' is not valid for type `belong' in description `%lu blocks,'
/usr/share/misc/magic, 6893: Warning: Printf format `l' is not valid for type `belong' in description `%lu files'
/usr/share/misc/magic, 7160: Warning: Printf format `l' is not valid for type `lelong' in description ` fblock size = %ld,'
/usr/share/misc/magic, 7161: Warning: Printf format `l' is not valid for type `lelong' in description ` block size = %ld,'
/usr/share/misc/magic, 7584: Warning: Printf format `l' is not valid for type `long' in description `%lu skin(s),'
/usr/share/misc/magic, 7585: Warning: Printf format `l' is not valid for type `long' in description `(%lu x'
/usr/share/misc/magic, 7586: Warning: Printf format `l' is not valid for type `long' in description `%lu),'
/usr/share/misc/magic, 7587: Warning: Printf format `l' is not valid for type `long' in description `%lu frame(s),'
/usr/share/misc/magic, 7588: Warning: Printf format `l' is not valid for type `long' in description `Frame size %lu bytes,'
/usr/share/misc/magic, 7589: Warning: Printf format `l' is not valid for type `long' in description `%lu vertices/frame,'
/usr/share/misc/magic, 7590: Warning: Printf format `l' is not valid for type `long' in description `%lu texture coordinates,'
/usr/share/misc/magic, 7591: Warning: Printf format `l' is not valid for type `long' in description `%lu triangles/frame'
/usr/share/misc/magic, 7724: Warning: Printf format `l' is not valid for type `belong' in description `version %lu'
/usr/share/misc/magic, 8001: Warning: Printf format `l' is not valid for type `belong' in description `%lu x'
/usr/share/misc/magic, 8002: Warning: Printf format `l' is not valid for type `belong' in description `%lu,'
/usr/share/misc/magic, 8036: Warning: Printf format `h' is not valid for type `byte' in description `, crypto type %hhu (unknown)'
/usr/share/misc/magic, 8038: Warning: Printf format `h' is not valid for type `byte' in description `, hash type %hhu (unknown)'
/usr/share/misc/magic, 8273: Warning: Printf format `l' is not valid for type `beshort' in description `- version %ld'
/usr/share/misc/magic, 8276: Warning: Printf format `l' is not valid for type `beshort' in description `- version %ld'
/usr/share/misc/magic, 8360: Warning: Printf format `l' is not valid for type `long' in description `- version %ld'
/usr/share/misc/magic, 8363: Warning: Printf format `l' is not valid for type `long' in description `- version %ld'
/usr/share/misc/magic, 8366: Warning: Printf format `l' is not valid for type `long' in description `- version %ld'
/usr/share/misc/magic, 8370: Warning: Printf format `l' is not valid for type `beshort' in description `- version %ld'
/usr/share/misc/magic, 8377: Warning: Printf format `l' is not valid for type `beshort' in description `- version %ld'
/usr/share/misc/magic, 8384: Warning: Printf format `l' is not valid for type `beshort' in description `- version %ld'
/usr/share/misc/magic, 8391: Warning: Printf format `l' is not valid for type `beshort' in description `- version %ld'
/usr/share/misc/magic, 8398: Warning: Printf format `l' is not valid for type `beshort' in description `- version %ld'
/usr/share/misc/magic, 8402: Warning: Printf format `l' is not valid for type `beshort' in description `- version %ld'
/usr/share/misc/magic, 8406: Warning: Printf format `l' is not valid for type `beshort' in description `- version %ld'
/usr/share/misc/magic, 8411: Warning: Printf format `l' is not valid for type `beshort' in description `- version %ld'
/usr/share/misc/magic, 8424: Warning: Printf format `l' is not valid for type `byte' in description `- version %ld'
/usr/share/misc/magic, 8733: Warning: Printf format `l' is not valid for type `belong' in description `- version %ld'
/usr/share/misc/magic, 8736: Warning: Printf format `l' is not valid for type `belong' in description `- version %ld'
/usr/share/misc/magic, 8739: Warning: Printf format `l' is not valid for type `belong' in description `- version %ld'
/usr/share/misc/magic, 8742: Warning: Printf format `l' is not valid for type `belong' in description `- version %ld'
/usr/share/misc/magic, 8855: Warning: Printf format `h' is not valid for type `leshort' in description `%hd x'
/usr/share/misc/magic, 8856: Warning: Printf format `h' is not valid for type `leshort' in description `%hd'
/usr/share/misc/magic, 8859: Warning: Printf format `h' is not valid for type `leshort' in description `%hd x'
/usr/share/misc/magic, 8860: Warning: Printf format `h' is not valid for type `leshort' in description `%hd'
/usr/share/misc/magic, 8863: Warning: Printf format `h' is not valid for type `leshort' in description `%hd x'
/usr/share/misc/magic, 8864: Warning: Printf format `h' is not valid for type `leshort' in description `%hd'
/usr/share/misc/magic, 8939: Warning: Printf format `l' is not valid for type `belong' in description `, %ld x'
/usr/share/misc/magic, 8940: Warning: Printf format `l' is not valid for type `belong' in description `%ld,'
/usr/share/misc/magic, 8975: Warning: Printf format `h' is not valid for type `leshort' in description `%hd x'
/usr/share/misc/magic, 8976: Warning: Printf format `h' is not valid for type `leshort' in description `%hd'
/usr/share/misc/magic, 9254: Warning: Printf format `h' is not valid for type `leshort' in description `bounding box [%hd,'
/usr/share/misc/magic, 9255: Warning: Printf format `h' is not valid for type `leshort' in description `%hd] -'
/usr/share/misc/magic, 9256: Warning: Printf format `h' is not valid for type `leshort' in description `[%hd,'
/usr/share/misc/magic, 9257: Warning: Printf format `h' is not valid for type `leshort' in description `%hd],'
/usr/share/misc/magic, 9259: Warning: Printf format `h' is not valid for type `byte' in description `%hhd-bit'
/usr/share/misc/magic, 9265: Warning: Printf format `h' is not valid for type `leshort' in description `%hd x'
/usr/share/misc/magic, 9266: Warning: Printf format `h' is not valid for type `leshort' in description `%hd dpi,'
/usr/share/misc/magic, 9390: Warning: Printf format `l' is not valid for type `lelong' in description `volume %ld'
/usr/share/misc/magic, 9413: Warning: Printf format `l' is not valid for type `belong' in description `, %ld x'
/usr/share/misc/magic, 9414: Warning: Printf format `l' is not valid for type `belong' in description `%ld'
/usr/share/misc/magic, 9426: Warning: Printf format `h' is not valid for type `leshort' in description `%hd x'
/usr/share/misc/magic, 9427: Warning: Printf format `h' is not valid for type `leshort' in description `%hd,'
/usr/share/misc/magic, 9429: Warning: Printf format `h' is not valid for type `leshort' in description `%hd images in file'
/usr/share/misc/magic, 9613: Warning: Printf format `l' is not valid for type `leshort' in description `- version %ld'
/usr/share/misc/magic, 9926: Warning: Printf format `l' is not valid for type `belong' in description `%lu'
/usr/share/misc/magic, 10463: Warning: Printf format `l' is not valid for type `lelong' in description `filetype=%ld'
/usr/share/misc/magic, 10465: Warning: Printf format `l' is not valid for type `lelong' in description `architecture=%ld'
/usr/share/misc/magic, 10486: Warning: Printf format `l' is not valid for type `lelong' in description `architecture=%ld'
/usr/share/misc/magic, 10500: Warning: Printf format `l' is not valid for type `belong' in description `filetype=%ld'
/usr/share/misc/magic, 10502: Warning: Printf format `l' is not valid for type `belong' in description `architecture=%ld'
/usr/share/misc/magic, 10528: Warning: Printf format `l' is not valid for type `belong' in description `architecture=%ld'
/usr/share/misc/magic, 11045: Warning: New continuation level 3 is more than one larger than current level 1
/usr/share/misc/magic, 11283: Warning: Printf format `l' is not valid for type `byte' in description `- version %ld'
/usr/share/misc/magic, 11286: Warning: Printf format `l' is not valid for type `byte' in description `- version %ld'
/usr/share/misc/magic, 11288: Warning: Printf format `l' is not valid for type `byte' in description `- version %ld'
/usr/share/misc/magic, 11290: Warning: Printf format `l' is not valid for type `byte' in description `- version %ld'
/usr/share/misc/magic, 11292: Warning: Printf format `l' is not valid for type `belong' in description `- version %ld'
/usr/share/misc/magic, 11300: Warning: Printf format `l' is not valid for type `byte' in description `- version %ld'
/usr/share/misc/magic, 11301: Warning: Printf format `l' is not valid for type `byte' in description `.%ld'
/usr/share/misc/magic, 11310: Warning: Printf format `l' is not valid for type `byte' in description `.%ld'
/usr/share/misc/magic, 11319: Warning: Printf format `l' is not valid for type `byte' in description `.%ld'
/usr/share/misc/magic, 11327: Warning: Printf format `l' is not valid for type `byte' in description `- version %ld'
/usr/share/misc/magic, 11328: Warning: Printf format `l' is not valid for type `byte' in description `.%ld'
/usr/share/misc/magic, 11338: Warning: Printf format `l' is not valid for type `byte' in description `- version %ld'
/usr/share/misc/magic, 11339: Warning: Printf format `l' is not valid for type `byte' in description `.%ld'
/usr/share/misc/magic, 11347: Warning: Printf format `l' is not valid for type `byte' in description `- version %ld'
/usr/share/misc/magic, 11348: Warning: Printf format `l' is not valid for type `byte' in description `.%ld'
/usr/share/misc/magic, 11356: Warning: Printf format `l' is not valid for type `byte' in description `- version %ld'
/usr/share/misc/magic, 11357: Warning: Printf format `l' is not valid for type `byte' in description `.%ld'
/usr/share/misc/magic, 11365: Warning: Printf format `l' is not valid for type `byte' in description `- version %ld'
/usr/share/misc/magic, 11366: Warning: Printf format `l' is not valid for type `byte' in description `.%ld'
/usr/share/misc/magic, 11376: Warning: Printf format `l' is not valid for type `byte' in description `- version %ld'
/usr/share/misc/magic, 11377: Warning: Printf format `l' is not valid for type `byte' in description `.%ld'
/usr/share/misc/magic, 11385: Warning: Printf format `l' is not valid for type `byte' in description `- version %ld'
/usr/share/misc/magic, 11386: Warning: Printf format `l' is not valid for type `byte' in description `.%ld'
/usr/share/misc/magic, 11394: Warning: Printf format `l' is not valid for type `byte' in description `- version %ld'
/usr/share/misc/magic, 11395: Warning: Printf format `l' is not valid for type `byte' in description `.%ld'
/usr/share/misc/magic, 11403: Warning: Printf format `l' is not valid for type `byte' in description `- version %ld'
/usr/share/misc/magic, 11404: Warning: Printf format `l' is not valid for type `byte' in description `.%ld'
/usr/share/misc/magic, 11426: Warning: Printf format `l' is not valid for type `byte' in description `.%ld'
/usr/share/misc/magic, 11589: Warning: Printf format `l' is not valid for type `belong' in description `(txt=%ld,'
/usr/share/misc/magic, 11590: Warning: Printf format `l' is not valid for type `belong' in description `dat=%ld,'
/usr/share/misc/magic, 11591: Warning: Printf format `l' is not valid for type `belong' in description `bss=%ld,'
/usr/share/misc/magic, 11592: Warning: Printf format `l' is not valid for type `belong' in description `sym=%ld)'
/usr/share/misc/magic, 11594: Warning: Printf format `l' is not valid for type `belong' in description `(txt=%ld,'
/usr/share/misc/magic, 11595: Warning: Printf format `l' is not valid for type `belong' in description `dat=%ld,'
/usr/share/misc/magic, 11596: Warning: Printf format `l' is not valid for type `belong' in description `bss=%ld,'
/usr/share/misc/magic, 11597: Warning: Printf format `l' is not valid for type `belong' in description `sym=%ld)'
/usr/share/misc/magic, 11601: Warning: Printf format `l' is not valid for type `belong' in description `text len %lu,'
/usr/share/misc/magic, 11602: Warning: Printf format `l' is not valid for type `belong' in description `data len %lu,'
/usr/share/misc/magic, 11603: Warning: Printf format `l' is not valid for type `belong' in description `BSS len %lu,'
/usr/share/misc/magic, 11604: Warning: Printf format `l' is not valid for type `belong' in description `symboltab len %lu,'
/usr/share/misc/magic, 11609: Warning: Printf format `l' is not valid for type `belong' in description `flags: 0x%lX,'
/usr/share/misc/magic, 11617: Warning: Printf format `0' is not valid for type `beshort' in description `(version %04lx)'
/usr/share/misc/magic, 11671: Warning: Current entry does not yet have a description for adding a MIME type
/usr/share/misc/magic, 12270: Warning: Printf format `l' is not valid for type `lelong' in description `(%ld records)'
/usr/share/misc/magic, 12274: Warning: Printf format `l' is not valid for type `lelong' in description `(%ld records)'
/usr/share/misc/magic, 12483: Warning: Printf format `h' is not valid for type `lelong' in description `%hd x'
/usr/share/misc/magic, 12484: Warning: Printf format `h' is not valid for type `lelong' in description `%hd,'
/usr/share/misc/magic, 12659: Warning: Printf format `l' is not valid for type `beshort' in description `- version %ld'
/usr/share/misc/magic, 12664: Warning: Printf format `l' is not valid for type `beshort' in description `- version %ld'
/usr/share/misc/magic, 12669: Warning: Printf format `l' is not valid for type `beshort' in description `- version %ld'
/usr/share/misc/magic, 12674: Warning: Printf format `l' is not valid for type `beshort' in description `- version %ld'
/usr/share/misc/magic, 12679: Warning: Printf format `l' is not valid for type `beshort' in description `- version %ld'
/usr/share/misc/magic, 12687: Warning: Printf format `l' is not valid for type `beshort' in description `- version %ld'
/usr/share/misc/magic, 12694: Warning: Printf format `l' is not valid for type `beshort' in description `- version %ld'
/usr/share/misc/magic, 13541: Warning: Printf format `l' is not valid for type `byte' in description `- version %ld'
/usr/share/misc/magic, 13548: Warning: Printf format `l' is not valid for type `byte' in description `- version %ld'
/usr/share/misc/magic, 13552: Warning: Printf format `l' is not valid for type `byte' in description `- version %ld'
/usr/share/misc/magic, 14046: Warning: Printf format `l' is not valid for type `lelong' in description `, %lu x'
/usr/share/misc/magic, 14047: Warning: Printf format `l' is not valid for type `lelong' in description `%lu,'
/usr/share/misc/magic, 14323: Warning: New continuation level 3 is more than one larger than current level 1
/usr/share/misc/magic, 14576: Warning: Printf format `l' is not valid for type `lelong' in description `version %ld'
/usr/share/misc/magic, 14579: Warning: Printf format `l' is not valid for type `lelong' in description `version %ld'
/usr/share/misc/magic, 14582: Warning: Printf format `l' is not valid for type `lelong' in description `version %ld'
/usr/share/misc/magic, 14585: Warning: Printf format `l' is not valid for type `lelong' in description `version %ld'
/usr/share/misc/magic, 14592: Warning: Printf format `l' is not valid for type `lelong' in description `version %ld'
/usr/share/misc/magic, 14595: Warning: Printf format `l' is not valid for type `lelong' in description `version %ld'
/usr/share/misc/magic, 14598: Warning: Printf format `l' is not valid for type `lelong' in description `version %ld'
/usr/share/misc/magic, 14601: Warning: Printf format `l' is not valid for type `lelong' in description `version %ld'
/usr/share/misc/magic, 14623: Warning: Printf format `l' is not valid for type `belong' in description `log volume #%ld'
/usr/share/misc/magic, 14783: Warning: Printf format `h' is not valid for type `leshort' in description `, %hd sections'
/usr/share/misc/magic, 15502: Warning: Printf format `l' is not valid for type `belong' in description `- version %ld'
/usr/share/misc/magic, 16234: Warning: Printf format `l' is not valid for type `lelong' in description `size: %ld bytes'
/usr/share/misc/magic, 16373: Warning: Printf format `l' is not valid for type `byte' in description `- version %ld'
/usr/share/misc/magic, 16376: Warning: Printf format `l' is not valid for type `byte' in description `- version %ld'
/usr/share/misc/magic, 16379: Warning: Printf format `l' is not valid for type `byte' in description `- version %ld'
/usr/share/misc/magic, 16382: Warning: Printf format `l' is not valid for type `byte' in description `- version %ld'
/usr/share/misc/magic, 16445: Warning: Printf format `l' is not valid for type `long' in description `- version %ld'
/usr/share/misc/magic, 16525: Warning: Printf format `l' is not valid for type `leshort' in description `- version %ld'
/usr/share/misc/magic, 16528: Warning: Printf format `l' is not valid for type `leshort' in description `- version %ld'
/usr/share/misc/magic, 16699: Warning: Printf format `l' is not valid for type `lelong' in description `UNKNOWN VERSION %lu,'
/usr/share/misc/magic, 16705: Warning: Printf format `l' is not valid for type `lelong' in description `%lu Hz'
/usr/share/misc/magic, 16715: Warning: Printf format `l' is not valid for type `lelong' in description `<%lu'
/usr/share/misc/magic, 16717: Warning: Printf format `l' is not valid for type `lelong' in description `~%lu'
/usr/share/misc/magic, 16721: Warning: Printf format `l' is not valid for type `lelong' in description `>%lu'
/usr/share/misc/magic, 16843: Warning: Printf format `l' is not valid for type `lelong' in description `, %ld pages'
/usr/share/misc/magic, 17240: Warning: Printf format `l' is not valid for type `belong' in description `- data length 0x%lx'
/usr/share/misc/magic, 17291: Warning: Printf format `l' is not valid for type `long' in description `- version %ld'
/usr/share/misc/magic, 17292: Warning: Printf format `l' is not valid for type `long' in description `- [%ld -'
/usr/share/misc/magic, 17293: Warning: Printf format `l' is not valid for type `long' in description `%ldx'
/usr/share/misc/magic, 17294: Warning: Printf format `l' is not valid for type `long' in description `%ldx'
/usr/share/misc/magic, 17304: Warning: Printf format `h' is not valid for type `leshort' in description `version %hd'
/usr/share/misc/magic, 17305: Warning: Printf format `h' is not valid for type `leshort' in description `.%hd'
/usr/share/misc/magic, 17345: Warning: Printf format `l' is not valid for type `belong' in description `version %lu,'
/usr/share/misc/magic, 17352: Warning: Printf format `l' is not valid for type `belong' in description `type: UNKNOWN (%lu),'
/usr/share/misc/magic, 17375: Warning: Printf format `l' is not valid for type `lelong' in description `version %lu,'
/usr/share/misc/magic, 17382: Warning: Printf format `l' is not valid for type `lelong' in description `type: UNKNOWN (%lu),'
file: File 5.19 supports only version 12 magic files. `/usr/share/misc/magic.mgc' is version 8

Someone else seems to have this same problem:
http://freebsd.1045724.n5.nabble.com/File-5-19-supports-only-version-12-magic-files-usr-share-misc-magic-mgc-is-version-8-td5972966.html
Comment 1 naruse 2014-12-18 09:23:54 UTC
This seems caused by freebsd-update's FreeBSD-SA-14:28.file patch.
It updates file(1)'s version from 11 to 19, and it conflicts magic data.
Comment 2 naruse 2014-12-26 09:47:07 UTC
No follow-ups in a week.
Is there an another correct place to report?
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2014-12-26 17:09:11 UTC
This is the correct place to report.  Many people are inactive for the holidays.
Comment 4 joshruehlig 2015-01-05 18:04:02 UTC
Browsing through github it looks like some regression was fixed regarding this back in October 2014 (r273688). This fix is only on master and was never backported to stable/10 even though the regression exists there.

This bug is also affecting my php application which uses 'file'.
Comment 5 naruse 2015-01-15 17:06:02 UTC
Though joshruehlig investigated r273688 fixes this, it's not bugported yet and of course FreeBSD 10.1-p4 doesn't include the fix.
Comment 6 joshruehlig 2015-01-28 07:30:57 UTC
What's the best way to get this regression fixed in stable/10?

@delphij continues to push file forward in stable/10 but missed applying r273688 as he did to master (stable/11) https://github.com/freebsd/freebsd/commit/ed6a1857098c893243cd94f168fadd1832ef6fc4

I could try applying the changed myself and submitting a pull request if that would help.

Thanks,
Comment 7 Ryder Dain 2015-02-04 15:07:33 UTC
Minor update: this is still broken for file-5.22 and 10.1-RELEASE-p5. 

This also breaks py-magic, which is what led me here.
Try:
>>> import magic
>>> m = magic.open(magic.MAGIC_MIME)
>>> m.load()

Result:
...same errors as with file(1), ending with
/usr/share/misc/magic, 17382: Warning: Printf format `l' is not valid for type `byte' in description `- version %ld'

Thanks for the workaround. For fixing py27-magic, I can pass it the port version's magic file instead, like so:

>>> m.load('/usr/local/share/file/magic')
0
>>> m.file('.macromedia')
'inode/directory; charset=binary'
Comment 8 sf(jungleboogie) 2015-02-21 07:02:30 UTC
My work around is to use pkg file since that works. I guess base won't be updated?? Maybe 10.2 will have an updated file.

% uname -a
FreeBSD lyander-fbsd 10.1-RELEASE-p5 FreeBSD 10.1-RELEASE-p5 #0: Tue Jan 27 08:52:50 UTC 2015     root@amd64-builder.daemonology.net:/usr/obj/usr/src/sys/GENERIC  i386

% freebsd-version -k
10.1-RELEASE-p5
% freebsd-version -u
10.1-RELEASE-p5

% file --version    
file-5.11
magic file from /usr/share/misc/magic

Installing file pkg:
% /usr/local/bin/file --version
file-5.22
magic file from /usr/local/share/file/magic


% /usr/local/bin/file dns.sh    
dns.sh: ASCII text
Comment 9 naruse 2015-03-20 02:28:28 UTC
This is not fixed yet.
Comment 10 Mark Linimon freebsd_committer freebsd_triage 2015-03-21 00:03:50 UTC
delphij@, please see comment 6.  It seems you may be the correct person to decide the way forwards.
Comment 11 Xin LI freebsd_committer 2015-03-31 08:02:26 UTC
(In reply to Jeroen from comment #0)
I've verified that the file shipped with 10.1-RELEASE was of version 12.  I believe there was something wrong with the update procedure, can you run freebsd-update IDS and  see if there is any corruption?
Comment 12 Xin LI freebsd_committer 2015-03-31 08:20:22 UTC
(In reply to Xin LI from comment #11)
Here is a FreeBSD/amd64 10.1-RELEASE system which was updated from 10.0-RELEASE with freebsd-update.

root@www:/root # which file
/usr/bin/file
root@www:/root # file --version
file-5.19
magic file from /usr/share/misc/magic
root@www:/root # file
Usage: file [-bcEhikLlNnprsvz0] [--apple] [--mime-encoding] [--mime-type]
            [-e testname] [-F separator] [-f namefile] [-m magicfiles] file ...
       file -C [-m magicfiles]
       file [--help]
root@www:/root # uname -
root@www:/root # freebsd-version -k
10.1-RELEASE-p6
root@www:/root # freebsd-version -u
10.1-RELEASE-p8
Comment 13 Xin LI freebsd_committer 2015-03-31 08:22:12 UTC
(In reply to joshruehlig from comment #4)
The change is part of the update to 5.21 change.  It was not applied to releng/10.1 because it was believed that the problem does not affect a majority of users.

I'm not in objection of making an errata for 10.1-RELEASE and update file to the latest version though.
Comment 14 Xin LI freebsd_committer 2015-03-31 08:25:46 UTC
(In reply to Ryder from comment #7)
Can't reproduce:

root@www:/root # pkg install py27-magic
Updating FreeBSD repository catalogue...
FreeBSD repository is up-to-date.
All repositories are up-to-date.
The following 1 packages will be affected (of 0 checked):

New packages to be INSTALLED:
        py27-magic: 5.18

The process will require 23 KiB more space.
4 KiB to be downloaded.

Proceed with this action? [y/N]: y
Fetching py27-magic-5.18.txz: 100%    4 KiB   4.6kB/s    00:01    
Checking integrity... done (0 conflicting)
[1/1] Installing py27-magic-5.18...
[1/1] Extracting py27-magic-5.18: 100%
root@www:/root # python
Python 2.7.9 (default, Feb 25 2015, 07:23:55) 
[GCC 4.2.1 Compatible FreeBSD Clang 3.4.1 (tags/RELEASE_34/dot1-final 208032)] on freebsd10
Type "help", "copyright", "credits" or "license" for more information.
>>> import magic
>>> m = magic.open(magic.MAGIC_MIME)
>>> m.load()
0
>>>
Comment 15 joshruehlig 2015-03-31 08:35:03 UTC
(In reply to Xin LI from comment #13)
Whatever you think is best. It would be great to be able to get the warning messages to go away on 10.1 =]
Comment 16 Ryder Dain 2015-03-31 10:09:13 UTC
(In reply to Xin LI from comment #14)

I can only reproduce this error on machines which used an update path. I've just set up a new 10.1-RELEASE-p6 (from an image provided by cperciva for FreeBSD on EC2), and there the default installation of file-5.19 doesn't produce the Jeroen's error that started this thread, nor does it affect the python module. It seems as if the correct /usr/share/misc/magic file is part of the installation, but this file is not patched when taking the update path.
Comment 17 naruse 2015-03-31 10:16:14 UTC
(In reply to Xin LI from comment #14)
As I wrote in #1, this is caused by freebsd-update's FreeBSD-SA-14:28.file patch.
Comment 18 Xin LI freebsd_committer 2015-03-31 19:04:42 UTC
(In reply to naruse from comment #17)
Hi,

I have applied the change with freebsd-update and was not able to reproduce it, the file is in its due form.  Could you please run freebsd-update IDS and see if the files are all original?
Comment 19 joshruehlig 2015-04-01 04:32:55 UTC
When I ran 'freebsd update IDS' in my ezjail which is actually affected by this bug, all my files showed as being modified, so I don't think this works for ezjails.

sha256sum for magic that was in my jail was 00fa55a6721024d8ca0da78cf92184b968a55f52ef50584adc7e0572c2b63c5d
sha256sum for magic available from here http://ftp.freebsd.org/pub/FreeBSD/snapshots/amd64/10.1-STABLE/ was 1229764bf991c40a8b5beb8b23e40638749aa4ddcba267f00ac6f91328a5a2e0

Replacing /usr/jails/basejail/usr/share/misc/magic seemed to have fixed this issue for me.
Comment 20 Xin LI freebsd_committer 2015-04-01 05:42:41 UTC
(In reply to joshruehlig from comment #19)
Well, you can't verify your -STABLE system with freebsd-update.

My impression is that this is probably because either an ezjail bug or a partial update: all systems I have, regardless I use the traditional 'make buildworld buildkernel installkernel installworld' or freebsd-update, or 10.1-RELEASE or 10.1-STABLE, I have never seen this happen and I was unable to reproduce the problem you have seen.
Comment 21 joshruehlig 2015-04-01 05:47:13 UTC
(In reply to Xin LI from comment #20)
Whoops, I linked the wrong spot.
I'm not on STABLE, my host + ezjail is on 10.1-p8.

'freebsd-update IDS' seemed to work on my host (only showed a few files that had been midified, most of which were etc's I edited)
But, it fails miserably in ezjail.
Comment 22 naruse 2015-04-07 01:58:28 UTC
Created attachment 155294 [details]
IDS output of FreeBSD 10.1 amd64

Attached is my FreeBSD 10.1 amd64's IDS output, which is initially 8.2 and upgraded with freebsd-update.
Comment 23 Xin LI freebsd_committer 2015-04-07 05:06:22 UTC
(In reply to naruse from comment #22)
Hi,

This suggests that you have incomplete/partial installation of 10.1-RELEASE update.  For instance 55ffd3b705b6ad848f900eb642cdbceb5c7b039b84a43be2fd3a2da37fd489ae is 10.0-RELEASE's chflag(1).

Did you hit some errors when installing the update or did you force it to stop?  I really can't reproduce it locally but if it's a bug with freebsd-update we definitely need to fix it.
Comment 24 naruse 2015-04-07 10:37:58 UTC
(In reply to Xin LI from comment #23)
> Did you hit some errors when installing the update or did you force it to stop?
As far as I remember, no.
Moreover I have 3 FreeBSD system and all of them affect this.
(All of them are upgraded from FreeBSD 8.2 or earlier, i386/amd64)
Comment 25 Jeroen 2015-04-07 13:15:59 UTC
The output of `freebsd-update IDS` for my system is a log file of 8.6MB....

I have had some minor problems with freebsd-update before such as bug #196055, but don't recall any other significant problem.
Comment 26 Xin LI freebsd_committer 2015-04-07 22:56:26 UTC
(In reply to Jeroen from comment #25)
Well, I think this indicates that freebsd-update is not upgrading files properly, so I'm changing the topic of this bug to reflect that.  This has nothing to do with file -- you are seeing the issue because the data files were not updated as part of a freebsd-update upgrade.

Colin, do you have some suggestions on what we should look at next?  If one can reliably trigger the problem we would need to find out why and inform the user community how to avoid these issue.
Comment 27 Colin Percival freebsd_committer 2015-04-08 01:07:55 UTC
The only options I can guess are

1. The world updates never got installed after the kernel updates and rebooting.  (A patch recently went into the tree to warn about such partial updates.)

2. The recently-fixed UFS bug which was causing hanging on reboots also resulted in filesystem operations being left unsynchronized, causing files to be "uninstalled".

Either way, I don't know that there's anything we can do at this point...
Comment 28 Jeroen 2015-04-08 13:12:14 UTC
(In reply to Colin Percival from comment #27)

Is there a way that I can help you confirm that that is what happened to my system?
Comment 29 Colin Percival freebsd_committer 2019-03-12 22:59:47 UTC
Drop freebsd-update PRs which were assigned to me.  I'm not working on this code any more.